Đến nội dung


Hình ảnh
- - - - -

Nhờ Mr Hoành kiểm tra lại lisp fakedim


  • Please log in to reply
9 replies to this topic

#1 toai

toai

    biết vẽ ellipse

  • Members
  • PipPip
  • 59 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 15 June 2009 - 04:11 PM

"Lệnh fakedim này có vấn đề rồi bác ơi. Nếu text nằm gọn trong hai đường dóng thì ko có vấn đề gì. Nhưng nếu text to quá nằm vượt ra khỏi hai đường dóng thì sẽ phát sinh lỗi. Đối tượng dim mà chúng ta vừa fake sẽ tạo thành thêm một đối tượng dim giống hệt nó nhưng bị phá vỡ và nằm tại ngay vị trí của nó. Khi đó nếu chúng ta scale hay stretch sẽ phát hiện ra. Bác tìm cách sửa lại nó rôi up lại cho mọi người dùng với nhé. Thanks :lol2:."(Trích ltv_ngocphuoc)

-----------

Mình cũng gặp vấn đề này khi sử dụng lisp fakedim(File upload theo). Vậy nhờ Mr Hoành kiểm tra lại và giúp đỡ khắc phục nhé. Thank!
http://www.cadviet.c...les/Bai_tap.dwg
  • 0
Mưu sự tại nhân, thành sự tại thiên.

#2 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 16 June 2009 - 08:48 AM

"Lệnh fakedim này có vấn đề rồi bác ơi. Nếu text nằm gọn trong hai đường dóng thì ko có vấn đề gì. Nhưng nếu text to quá nằm vượt ra khỏi hai đường dóng thì sẽ phát sinh lỗi. Đối tượng dim mà chúng ta vừa fake sẽ tạo thành thêm một đối tượng dim giống hệt nó nhưng bị phá vỡ và nằm tại ngay vị trí của nó. Khi đó nếu chúng ta scale hay stretch sẽ phát hiện ra. Bác tìm cách sửa lại nó rôi up lại cho mọi người dùng với nhé. Thanks :lol2:."(Trích ltv_ngocphuoc)

-----------

Mình cũng gặp vấn đề này khi sử dụng lisp fakedim(File upload theo). Vậy nhờ Mr Hoành kiểm tra lại và giúp đỡ khắc phục nhé. Thank!
http://www.cadviet.c...les/Bai_tap.dwg

Chào Toai, ltv_ngocphuoc
trong khi chờ bác Hoành nâng cấp phiên bản mới, bạn sử dụng tạm LISP này.
; FTD-> FixTextDimension
(defun c:FTD (/ ss ent str entdata)
(vl-load-com)
(princ "\n Chon duong kich thuoc :")
(if (setq ss (ssget '((0 . "DIMENSION"))))
(foreach ent (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
(setq str (TextDimension ent)
entdata (entget ent)
entdata (subst (cons 1 str) (assoc 1 entdata) entdata)
)
(entmod entdata)
)
(princ "\nKhong phai duong kich thuoc!"))
(princ))

(defun TextDimension (dim / str)
(setq str "")
(vlax-for item
(vla-item (vla-get-blocks
(vla-get-activedocument (vlax-get-acad-object))
)
(cdr (assoc 2 (entget dim)))
)
(if (vlax-property-available-p item 'Textstring)
(setq str (vla-get-textstring item))
)
)
str
)

  • 1

#3 toai

toai

    biết vẽ ellipse

  • Members
  • PipPip
  • 59 Bài viết
Điểm đánh giá: 1 (bình thường)

Đã gửi 16 June 2009 - 04:45 PM

Chào Toai, ltv_ngocphuoc
trong khi chờ bác Hoành nâng cấp phiên bản mới, bạn sử dụng tạm LISP này.

; FTD-> FixTextDimension
(defun c:FTD (/ ss ent str entdata)
(vl-load-com)
(princ "\n Chon duong kich thuoc :")
(if (setq ss (ssget '((0 . "DIMENSION"))))
(foreach ent (vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))
(setq str (TextDimension ent)
entdata (entget ent)
entdata (subst (cons 1 str) (assoc 1 entdata) entdata)
)
(entmod entdata)
)
(princ "\nKhong phai duong kich thuoc!"))
(princ))

(defun TextDimension (dim / str)
(setq str "")
(vlax-for item
(vla-item (vla-get-blocks
(vla-get-activedocument (vlax-get-acad-object))
)
(cdr (assoc 2 (entget dim)))
)
(if (vlax-property-available-p item 'Textstring)
(setq str (vla-get-textstring item))
)
)
str
)

Cám ơn Gia_Bach. Mình đã download đoạn lisp của bạn về nhưng khi sử dụng lại bị báo lỗi "quá nhiều đối số" (Mình dùng Acad2008). Bạn kiểm tra giúp mình nhé vì mình k biết chút nào về lisp cả.
http://www.cadviet.c...oi_lisp_FTD.jpg
http://www.cadviet.com/upfiles/BV.dwg
  • 0
Mưu sự tại nhân, thành sự tại thiên.

#4 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 16 June 2009 - 09:13 PM

Cám ơn Gia_Bach. Mình đã download đoạn lisp của bạn về nhưng khi sử dụng lại bị báo lỗi "quá nhiều đối số" (Mình dùng Acad2008). Bạn kiểm tra giúp mình nhé vì mình k biết chút nào về lisp cả.
http://www.cadviet.c...oi_lisp_FTD.jpg
http://www.cadviet.com/upfiles/BV.dwg

Chào Toai -> Chức năng Download Lisp File của diễn đàn bị lỗi.
Bạn dùng cách copy -> Paste đoạn Lisp của anh giabách về -> apload -> chạy -> không có lỗi
Bạn chép nguyên xi đoạn Code của anh giabách về không sai 1 chữ đó nhé. :lol2:

@ Ban quản trị : Nhờ Ban quản trị sửa lại dùm chức năng Download Lisp File. Vì khi dùng chức năng này thì một số câu lệnh bị sai. Cái nữa là khi code dài thì nó copy không hết
  • 1

#5 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 16 June 2009 - 10:22 PM

@ Ban quản trị : Nhờ Ban quản trị sửa lại dùm chức năng Download Lisp File. Vì khi dùng chức năng này thì một số câu lệnh bị sai. Cái nữa là khi code dài thì nó copy không hết

Cảm ơn Tue_NV, lỗi của đoạn lisp trên đã được sửa, nó phát sinh là do ký tự ' bị biến thành \'.

Trường hợp code dài không copy hết thì Tue_NV có thể cho ví dụ được không.
  • 0

#6 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 17 June 2009 - 05:09 AM

Cảm ơn Tue_NV, lỗi của đoạn lisp trên đã được sửa, nó phát sinh là do ký tự ' bị biến thành \'.

Trường hợp code dài không copy hết thì Tue_NV có thể cho ví dụ được không.

Chào bác Hoành
Các đoạn Code trong bài viết này đều xảy ra trường hợp copy không hết.
Tue_NV không hiểu là do code dài hay do lỗi gì mà chức năng Download Lisp File copy không hết toàn bộ Code
http://www.cadviet.c...amp;#entry63491
-> Mong BQT bỏ chút thời gian xem xét để sửa lỗi này để mọi người có thể sử dụng chức năng này được dễ dàng hơn

Cảm ơn bác Hoành thật nhiều
  • 0

#7 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 17 June 2009 - 01:27 PM

Chào bác Hoành
Các đoạn Code trong bài viết này đều xảy ra trường hợp copy không hết.
Tue_NV không hiểu là do code dài hay do lỗi gì mà chức năng Download Lisp File copy không hết toàn bộ Code
http://www.cadviet.c...amp;#entry63491
-> Mong BQT bỏ chút thời gian xem xét để sửa lỗi này để mọi người có thể sử dụng chức năng này được dễ dàng hơn

Cảm ơn bác Hoành thật nhiều

Đã khắc phục xong.
Đây là do hệ thống tính sai file size dẫn đến download thiếu mất mấy ký tự cuối.

Tue_NV kiểm tra lại giúp.
  • 2

#8 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3805 (đỉnh cao)

Đã gửi 17 June 2009 - 01:37 PM

Đã khắc phục xong.
Đây là do hệ thống tính sai file size dẫn đến download thiếu mất mấy ký tự cuối.

Tue_NV kiểm tra lại giúp.

Chào bác Hoành
Em đã kiểm tra lại rồi. Kết quả tốt lắm bác ạ
Cảm ơn bác Hoành nhiều lắm.
Thanks
  • 0

#9 gia_bach

gia_bach

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 1436 Bài viết
Điểm đánh giá: 1426 (rất tốt)

Đã gửi 17 June 2009 - 02:01 PM

Đã khắc phục xong.
Đây là do hệ thống tính sai file size dẫn đến download thiếu mất mấy ký tự cuối.
Tue_NV kiểm tra lại giúp.

Chào bác Hoành
download file movet_gdm.lsp tại link Viết LISP theo yêu cầu vẫn bị mất dữ liệu.
vd :
newVal (getreal (strcat "\nNhap cao do <" cd "> :")) )
-> newVal (getreal (strcat "\nNhap cao do :")) )
Nhờ bác Hoành kiểm tra lại.
thanks
  • 0

#10 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4106 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 18 June 2009 - 10:52 AM

Chào bác Hoành
download file movet_gdm.lsp tại link Viết LISP theo yêu cầu vẫn bị mất dữ liệu.
vd :
newVal (getreal (strcat "\nNhap cao do <" cd "> :")) )
-> newVal (getreal (strcat "\nNhap cao do :")) )
Nhờ bác Hoành kiểm tra lại.
thanks

Cảm ơn các bạn đã phát hiện ra lỗi.

Đã khắc phục xong, mọi người thử xem lại xem.
  • 0